org.apache.cassandra.db.index

## Interface SecondaryIndexManager.Updater

- Enclosing class:
    SecondaryIndexManager

      public static interface SecondaryIndexManager.Updater

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `insert(Cell cell)` called when constructing the index against pre-existing data
    `void` | `remove(Cell current)` called when lazy-updating the index during compaction (CASSANDRA-2897)
    `void` | `update(Cell oldCell, Cell cell)` called when updating the index from a memtable
    `void` | `updateRowLevelIndexes()` called after memtable updates are complete (CASSANDRA-5397)

- - ### Method Detail

    - #### insert

          void insert(Cell cell)

      called when constructing the index against pre-existing data

    - #### update

          void update(Cell oldCell,
                      Cell cell)

      called when updating the index from a memtable

    - #### remove

          void remove(Cell current)

      called when lazy-updating the index during compaction (CASSANDRA-2897)

    - #### updateRowLevelIndexes

          void updateRowLevelIndexes()

      called after memtable updates are complete (CASSANDRA-5397)

Copyright © 2018 The Apache Software Foundation